module seg_decoder(
	input wire nRST,
	input wire CLK,
	input wire INV_POLE,
	input wire [3:0] NUMBER,
	output wire [6:0] OUTPUT
);

/*
  +-0-+
  5   1
  +-6-+
  4   2
  +-3-+  x
*/

	reg [6:0] reg_output;
	assign OUTPUT = INV_POLE ? ~reg_output : reg_output;

	always @(posedge CLK or negedge nRST) begin
		if( ~nRST ) reg_output <= 7'b0;
		else begin
			case(NUMBER)
				0:       reg_output <= 7'b0111111;
				1:       reg_output <= 7'b0000110;
				2:       reg_output <= 7'b1011011;
				3:       reg_output <= 7'b1001111;
				4:       reg_output <= 7'b1100110;
				5:       reg_output <= 7'b1101101;
				6:       reg_output <= 7'b1111101;
				7:       reg_output <= 7'b0000111;
				8:       reg_output <= 7'b1111111;
				9:       reg_output <= 7'b1101111;
				default: reg_output <= 0;
			endcase
		end

	end

endmodule
